Bug 1874521 - connectivity check metrics cannot be aggregated across components
Summary: connectivity check metrics cannot be aggregated across components
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Luis Sanchez
QA Contact: Ke Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-01 14:28 UTC by Luis Sanchez
Modified: 2020-09-17 10:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift cluster-kube-apiserver-operator pull 933 None closed Bug 1874521: connectivity check metrics cannot be aggregated across components 2020-09-15 09:23:07 UTC

Description Luis Sanchez 2020-09-01 14:28:38 UTC
Description of problem:

pod network connectivity metrics are being publish with component
specific names. This makes is awkward to aggregate metrics across components. 

For example, openshift_apiserver_endpoint_check_count and openshift_kube_apiserver_endpoint_check_count should be a single metric such as pod_network_connectivity_check_count, with a label to indicate the component. This better models the best practices already in use for other metrics which are common to multiple components.

Comment 3 Ke Wang 2020-09-03 04:01:58 UTC
Tried OCP 4.6.0-0.nightly-2020-09-02-210353, open the web console-> Monitoring -> Metrics, query keywords: pod_network_connectivity_check_count, pod_network_connectivity_check_tcp_connect_latency_gauge and pod_network_connectivity_check_dns_resolve_latency_gauge. the component label of queried results only displayed openshift-apiserver,not found the openshift-kube-apiserver, is this the expected result?

Comment 6 Ke Wang 2020-09-17 10:42:37 UTC
Since the bug only related to PR https://github.com/openshift/cluster-kube-apiserver-operator/pull/933, it works as https://bugzilla.redhat.com/show_bug.cgi?id=1874521#c3. So move the bug verified.


Note You need to log in before you can comment on or make changes to this bug.